For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardWebsiteCommunity
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • API Reference
      • GETList MCP Run History
      • POSTRecord MCP Run
      • GETGet MCP Run Details
  • External Links
    • Agent API Docs
    • OpenAPI Spec
LogoLogo
DashboardWebsiteCommunity
API ReferenceMcp Runs

List MCP Run History

GET
/org/:org_id/project/:project_id/mcp_server/:mcp_server_id/mcp_run
GET
/api/v1/org/:org_id/project/:project_id/mcp_server/:mcp_server_id/mcp_run
$curl https://app.rightbrain.ai/api/v1/org/123e4567-e89b-12d3-a456-426614174000/project/123e4567-e89b-12d3-a456-426614174001/mcp_server/mcp_server_id/mcp_run \
> -H "Authorization: Bearer <token>"
1{
2 "results": [
3 {
4 "method": "string",
5 "request": {},
6 "response": {},
7 "id": "string",
8 "mcp_server_id": "string",
9 "created": "string",
10 "modified": "string",
11 "request_id": "string",
12 "protocol_version": "string",
13 "duration_ms": 1,
14 "sse_event": false
15 }
16 ],
17 "pagination": {
18 "next_cursor": "019097c5-5560-05b5-4a48-5197a269683b",
19 "has_next": true,
20 "page_limit": 100
21 }
22}
Retrieve execution history for an MCP server. Lists all tool invocations made through the specified MCP server, including: - Tool name and parameters - Execution timestamp - Response data - Error information - Duration and performance metrics - Associated task or agent Useful for: - Debugging tool interactions - Monitoring usage patterns - Auditing external system access - Performance optimization
Was this page helpful?
Previous

Record MCP Run

Next
Built with

Retrieve execution history for an MCP server.

Lists all tool invocations made through the specified MCP server, including:

  • Tool name and parameters
  • Execution timestamp
  • Response data
  • Error information
  • Duration and performance metrics
  • Associated task or agent

Useful for:

  • Debugging tool interactions
  • Monitoring usage patterns
  • Auditing external system access
  • Performance optimization

Authentication

AuthorizationBearer

Bearer token authentication using JWT tokens from Ory Kratos/Hydra

Path parameters

mcp_server_idstringRequiredformat: "uuid"
The UUID of the MCP server
org_idstringRequiredformat: "uuid"
The unique identifier of the organization.
project_idstringRequiredformat: "uuid"
The unique identifier of the project.

Query parameters

page_limitintegerOptional1-100Defaults to 100

The maximum number of items to return per page. Defaults to 100 if not specified.

cursorstringOptionalformat: "uuid"

A cursor for pagination. Use the next_cursor value from the previous response to get the next page of results.

methodlist of stringsOptional

Filter by MCP methods (can specify multiple)

sse_eventbooleanOptional

Filter by server-sent event flag

Response

Successful Response
resultslist of objects
The list of items returned for the current page.
paginationobject or null
Contains pagination information for the result set.

Errors

400
Bad Request Error
403
Forbidden Error
422
Unprocessable Entity Error